Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class WsdlContext

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.WsdlContext

    public class WsdlContext

extends java.lang.Object

Holder for WSDL4J Definitions and related SchemaTypeLoader types

Author:
  Ole.Matzura

Constructor Summary
`WsdlContext(java.lang.String url, SoapVersion soapVersion, com.eviware.soapui.config.DefinitionCacheConfig cache, WsdlInterface iface)`

Method Summary
`org.apache.xmlbeans.SchemaType` | `findType(javax.xml.namespace.QName typeName)`
`com.eviware.soapui.config.DefinitionCacheConfig` | `getCacheConfig()`
`java.util.Collection<java.lang.String>` | `getDefinedNamespaces()`
`javax.wsdl.Definition` | `getDefinition()`
`java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject>` | `getDefinitionParts()`
`SchemaException` | `getSchemaException()`
`org.apache.xmlbeans.SchemaTypeLoader` | `getSchemaTypeLoader()`
`org.apache.xmlbeans.SchemaTypeSystem` | `getSchemaTypeSystem()`
`SoapVersion` | `getSoapVersion()`
`java.lang.String` | `getUrl()`
`boolean` | `hasSchemaTypes()`
`boolean` | `isLoaded()`
`boolean` | `load()`
`boolean` | `load(boolean silent)`
`boolean` | `load(WsdlLoader wsdlLoader)`
`boolean` | `load(WsdlLoader wsdlLoader, boolean silent)`
`boolean` | `loadIfNecessary()`
`boolean` | `loadIfNecessary(boolean silent)`
`void` | `setDefinition(java.lang.String url, com.eviware.soapui.config.DefinitionCacheConfig cache)`
`void` | `setDefinitionCache(com.eviware.soapui.config.DefinitionCacheConfig definitionCache)`
`void` | `setSoapVersion(SoapVersion soapVersion)`
`boolean` | `validateCache(com.eviware.soapui.config.DefinitionCacheConfig cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlContext

    public WsdlContext(java.lang.String url,
                       SoapVersion soapVersion,
                       com.eviware.soapui.config.DefinitionCacheConfig cache,
                       WsdlInterface iface)

Method Detail

### getCacheConfig

    public com.eviware.soapui.config.DefinitionCacheConfig getCacheConfig()

### getDefinition

    public javax.wsdl.Definition getDefinition()
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isLoaded

    public boolean isLoaded()

### loadIfNecessary

    public boolean loadIfNecessary()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadIfNecessary

    public boolean loadIfNecessary(boolean silent)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setDefinition

    public void setDefinition(java.lang.String url,
                              com.eviware.soapui.config.DefinitionCacheConfig cache)

### load

    public boolean load()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### load

    public boolean load(boolean silent)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### load

    public boolean load(WsdlLoader wsdlLoader)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### load

    public boolean load(WsdlLoader wsdlLoader,
                        boolean silent)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSchemaTypeLoader

    public org.apache.xmlbeans.SchemaTypeLoader getSchemaTypeLoader()
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSchemaException

    public SchemaException getSchemaException()

### validateCache

    public boolean validateCache(com.eviware.soapui.config.DefinitionCacheConfig cache)

### getSchemaTypeSystem

    public org.apache.xmlbeans.SchemaTypeSystem getSchemaTypeSystem()
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### hasSchemaTypes

    public boolean hasSchemaTypes()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findType

    public org.apache.xmlbeans.SchemaType findType(javax.xml.namespace.QName typeName)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUrl

    public java.lang.String getUrl()

### getDefinedNamespaces

    public java.util.Collection<java.lang.String> getDefinedNamespaces()
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSoapVersion

    public SoapVersion getSoapVersion()

### setSoapVersion

    public void setSoapVersion(SoapVersion soapVersion)

### getDefinitionParts

    public java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> getDefinitionParts()
                                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setDefinitionCache

    public void setDefinitionCache(com.eviware.soapui.config.DefinitionCacheConfig definitionCache)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.